Subject: [MIB-DOCTORS] IfTypeReferences - ISDN and DS0, DS1

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 5 Aug 2006 01:24:23 +0200

Keith responded:
> > > 12. RFC 2127 is the reference for:
> > > 
> > >    The ifType for a Terminal Endpoint can be isdn(63) for ISDN signaling
> > >    channels or x25ple(40) for X.25 based packet mode services.  The
> > >    ifType for D channel Data Link Layer (LAPD) interfaces is lapd(77).
> > >    The ifType for B channels is ds0(81).  The ifType for physical
> > >    interfaces is the matching IANA ifType, usually ds1(18) for Primary
> > >    Rate interfaces or isdns(75)/isdnu(76) for Basic Rate interfaces.
> > > 
> > >        isdn(63)        -- ISDN Terminal endpoint (ISDN signaling channel)
> > >        isdns(75)       -- ISDN 'S/T' (aka 'Four-wire Basic Access Interface')
> > >        isdnu(76)       -- ISDN 'U' (aka 'Two-wire Basic Access Interface')
> > >        lapd(77)        -- ISDN D channel Data Link Layer (LAPD)
> > > 
> > 
> > OK, will update
> > 

I have done the above as follows:

      <!--label-->     <c>isdn</c>
      <!--ifType-->    <c>63</c>
      <!--MIBoid-->    <c>transmission.20</c>
      <!--MIBmodule--> <c>ISDN-MIB</c>
      <!--Reference--> <c><xref target='RFC2127'/> (PS)
                         <vspace blankLines='0' />
                          <xref target='RFC2128'/> (PS)
                       </c>
      <!--comment-->   <c>Terminal Endpoint for ISDN signaling channels.
                         <vspace blankLines='0' />
                          IANAifType-MIB comment: ISDN and X.25
                       </c>

      <!--label-->     <c>isdns</c>
      <!--ifType-->    <c>75</c>
      <!--MIBoid-->    <c>transmission.20</c>
      <!--MIBmodule--> <c>ISDN-MIB</c>
      <!--Reference--> <c><xref target='RFC2127'/> (PS)</c>
      <!--comment-->   <c>ISDN 'S/T' (aka 'Four-wire Basic Access Interface')</c>   

      <!--label-->     <c>isdnu</c>
      <!--ifType-->    <c>76</c>
      <!--MIBoid-->    <c>transmission.20</c>
      <!--MIBmodule--> <c>ISDN-MIB</c>
      <!--Reference--> <c><xref target='RFC2127'/> (PS)</c>
      <!--comment-->   <c>ISDN 'U' (aka 'Two-wire Basic Access Interface')</c>

      <!--label-->     <c>lapd</c>
      <!--ifType-->    <c>77</c>
      <!--MIBoid-->    <c>transmission.20</c>
      <!--MIBmodule--> <c>ISDN-MIB</c>
      <!--Reference--> <c><xref target='RFC2127'/> (PS)</c>
      <!--comment-->   <c>ISDN D channel Data Link Layer (LAPD) </c>

> > > 13. The rows for ifType values, basicISDN(20) and primaryISDN(21) are
> > > incorrect.  These ifType values are (implicitly) obsoleted by 
> > > RFC 2127, because it says:
> > >                                           ...  The ifType for physical
> > >    interfaces is the matching IANA ifType, usually ds1(18) for Primary
> > >    Rate interfaces or isdns(75)/isdnu(76) for Basic Rate interfaces.
> > > 
> > 

I also noted in 2127:
  -- For primary rate, the media specifics are defined in the Trunk
  -- MIB and the ifType has a value of ds1(18).
and
  -- Each B channel is also represented as an entry
  -- in the ifTable. The B channels have an ifType value
  -- of ds0(81).

So... seems we ought to inform IANA about that too. 
Not sure they will easily accept "implicitly obsoleted".
Anyway, can we (MIB-Doctors) agree with:

      <!--label-->     <c>basicISDN</c>
      <!--ifType-->    <c>20</c>
      <!--MIBoid-->    <c>none known</c>
      <!--MIBmodule--> <c>none known</c>
      <!--Reference--> <c>none known</c>
      <!--comment-->   <c>(implicitly) obsoleted by <xref target='RFC2127'/></c>

      <!--label-->     <c>primaryISDN</c>
      <!--ifType-->    <c>21</c>
      <!--MIBoid-->    <c>none known</c>
      <!--MIBmodule--> <c>none known</c>
      <!--Reference--> <c>none known</c>
      <!--comment-->   <c>(implicitly) obsoleted by <xref target='RFC2127'/></c>

> > Well, rfc2127 talks about a lot of ifTypes!!!
> > It DOES assign transmission.20 to the ISDN-MIB
> > So it seems we need to figure out how to represent that.
> > I need to run now... 
> > 

So I also now have:

      <!--label-->     <c>ds1</c>
      <!--ifType-->    <c>18</c>
      <!--MIBoid-->    <c>transmission.18</c>
      <!--MIBmodule--> <c>DS1-MIB</c>
      <!--Reference--> <c><xref target='RFC3895'/> (PS)</c>
      <!--comment-->   <c>
                         <vspace blanklines='0'/>
                          Initial: <xref target='RFC1403'/> (PS)
                         <vspace blanklines='0'/>
                          obsoleted by: <xref target='RFC2495'/> (PS)
                         <vspace blanklines='0'/>
                          obsoleted by: <xref target='RFC3895'/> (PS)
                       </c>

      <!--label-->     <c>e1</c>
      <!--ifType-->    <c>19</c>
      <!--MIBoid-->    <c>transmission.18</c>
      <!--MIBmodule--> <c>RFC1406-MIB</c>
      <!--Reference--> <c><xref target='RFC1407> (PS)</c>
      <!--comment-->   <c>Obsoleted see DS1-MIB in <xref target='RFC2495'/></c>

      <!--label-->     <c>ds0</c>
      <!--ifType-->    <c>81</c>
      <!--MIBoid-->    <c>transmission.81</c>
      <!--MIBmodule--> <c>DS0-MIB</c>
      <!--Reference--> <c><xref target='RFC2494'/> (PS)</c>
      <!--comment-->   <c>Digital Signal Level 0</c>

      <!--label-->     <c>ds0Bundle</c>
      <!--ifType-->    <c>82</c>
      <!--MIBoid-->    <c>transmission.82</c>
      <!--MIBmodule--> <c>DS0BUNDLE-MIB</c>
      <!--Reference--> <c><xref target='RFC2494'/> (PS)</c>
      <!--comment-->   <c>group of ds0s on the same ds1</c>

Hope I have figured out rfc2127 (and some related stuff) now.

Anyway, comments and review, again are welcome.

Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors